package com.backendsys.mapper.B2c;

import java.util.List;
import java.util.Map;
import java.util.Set;

import org.apache.ibatis.annotations.Mapper;

import com.backendsys.entity.B2c.B2cMemberDTO;

@Mapper
public interface B2cMemberMapper {
    List<Map<String, Object>> queryMemberList(B2cMemberDTO b2cMemberDTO);
    List<Map<String, Object>> queryMemberWithLogined(Set last_login_uuids);
    Map<String, Object> queryMemberDetail(Long member_id);
    long insertMember(B2cMemberDTO b2cMemberDTO);
    long deleteMember(B2cMemberDTO b2cMemberDTO);
    long updateMember(B2cMemberDTO b2cMemberDTO);
    Map<String, Object> queryMemberByIdOrName(Long id, String phone);
}
